%global momorel 3
%global artsver 1.5.9
%global artsrel 3m
%global qtver 3.3.7
%global kdever 3.5.9
%global kdelibsrel 4m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0

Summary: A BibTeX editor for KDE
Name: kbibtex
Version: 0.2.1
Release: %{momorel}m%{?dist}
License: GPLv2
URL: http://www.unix-ag.uni-kl.de/~fischer/kbibtex/
Group: Applications/Editors
Source0: http://www.unix-ag.uni-kl.de/~fischer/%{name}/download/%{name}-%{version}.tar.bz2 
NoSource: 0
Patch0: %{name}-%{version}-desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: kdelibs3 >= %{kdever}-%{kdelibsrel}
BuildPreReq: qt3-devel >= %{qtver}
BuildPreReq: arts-devel >= %{artsver}-%{artsrel}
BuildPreReq: kdelibs3-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: libxslt-devel
BuildPreReq: libutempter-devel
BuildPreReq: libxml2

%description
KBibTeX is a BibTeX editor for KDE

%prep
%setup -q

%patch0 -p1 -b .desktop~

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--mandir=%{_mandir} \
	--with-qt-libraries=%{qtdir}/lib \
	--with-extra-includes=%{_includedir}/kde \
	--with-extra-libs=%{_libdir}/kde3 \
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# GNOME desktop beautification (requires "Icon=name.png" fix in setup section)
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/crystalsvg/48x48/apps/kbibtex.png %{buildroot}%{_datadir}/pixmaps/kbibtex.png

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS BUGS COPYING ChangeLog INSTALL NEWS README TODO
%{_bindir}/kbibtex
%{_libdir}/kde3/libkbibtexpart.la
%{_libdir}/kde3/libkbibtexpart.so
%{_datadir}/applications/kde/kbibtex.desktop
%{_datadir}/apps/kbibtex
%{_datadir}/apps/kbibtexpart
%{_datadir}/doc/HTML/*/kbibtex
%{_datadir}/icons/*/*/*/kbibtex.png
%{_datadir}/locale/*/LC_MESSAGES/kbibtex.mo
%{_mandir}/man1/kbibtex.1*
%{_datadir}/pixmaps/kbibtex.png
%{_datadir}/services/kbibtex_part.desktop

%changelog
* Thu May  8 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.2.1-3m)
- rebuild against qt3

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.2.1-2m)
- rebuild against gcc43

* Mon Mar 24 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.1-1m)
- version 0.2.1
- update dekstop.patch

* Sat Feb 16 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.2-3m)
- specify KDE3 headers and libs
- modify Requires and BuildRequires

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.2-2m)
- %%NoSource -> NoSource

* Wed Nov 14 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2-1m)
- version 0.2
- clean up merged upstream patches
- update desktop.patch
- License: GPLv2

* Sat Mar 31 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.5-1m)
- initial package for Momonga Linux
